Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.filters
Class NotFilter

    java.lang.Object
      org.htmlparser.filters.NotFilter

All Implemented Interfaces:
  Serializable, Cloneable, NodeFilter

    public class NotFilter

extends Object
implements NodeFilter

Accepts all nodes not acceptable to it's predicate filter.

See Also:
  Serialized Form

Field Summary
`protected NodeFilter` | `mPredicate` The filter to gainsay.

Constructor Summary
`NotFilter()` Creates a new instance of a NotFilter.
`NotFilter(NodeFilter predicate)` Creates a NotFilter that accepts nodes not acceptable to the predicate.

Method Summary
`boolean` | `accept(Node node)` Accept nodes that are not acceptable to the predicate filter.
`NodeFilter` | `getPredicate()` Get the predicate used by this NotFilter.
`void` | `setPredicate(NodeFilter predicate)` Set the predicate for this NotFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mPredicate

    protected NodeFilter mPredicate

  The filter to gainsay.

Constructor Detail

### NotFilter

    public NotFilter()

  Creates a new instance of a NotFilter. With no predicates, this would always return `false` from `accept(org.htmlparser.Node)`.

  See Also:
    `setPredicate(org.htmlparser.NodeFilter)`

### NotFilter

    public NotFilter(NodeFilter predicate)

  Creates a NotFilter that accepts nodes not acceptable to the predicate.

  Parameters:
    `predicate` - The filter to consult.

Method Detail

### getPredicate

    public NodeFilter getPredicate()

  Get the predicate used by this NotFilter.

  Returns:
    The predicate currently in use.

### setPredicate

    public void setPredicate(NodeFilter predicate)

  Set the predicate for this NotFilter.

  Parameters:
    `predicate` - The predidcate to use in `accept(org.htmlparser.Node)`.

### accept

    public boolean accept(Node node)

  Accept nodes that are not acceptable to the predicate filter.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to check.
  Returns:
    `true` if the node is not acceptable to the predicate filter, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |